function MsSqlConnectionFirstPage()
{
  var AutomaticName = function(){MsSqlConnectionFirstPage.prototype._AutomaticName_();};
  //建立資料
  var BuildMsSqlConnectionObject   = function(that){MsSqlConnectionFirstPage.prototype._BuildMsSqlConnectionObject_(that);};
  //工具列
  var UpdateTableToolbar = function(ObjectKey, DisplayNumber){MsSqlConnectionFirstPage.prototype._UpdateTableToolbar_(ObjectKey, DisplayNumber);};
  this.ShowPreviousPage  = function(){MsSqlConnectionFirstPage.prototype._ShowPreviousPage_();};
  this.ShowNextPage      = function(){MsSqlConnectionFirstPage.prototype._ShowNextPage_();};
  //表格
  var ShowTable          = function(ObjectKey, DisplayNumber){MsSqlConnectionFirstPage.prototype._ShowTable_(ObjectKey, DisplayNumber);};
  //介面
  this.RedisplayUi       = function(){MsSqlConnectionFirstPage.prototype._RedisplayUi_();};
  //移除
  var RemoveRtuToMsSql = function(number){MsSqlConnectionFirstPage.prototype._RemoveRtuToMsSql_(number);};
  var RemoveTcpToMsSql = function(number){MsSqlConnectionFirstPage.prototype._RemoveTcpToMsSql_(number);};
  var RemoveMqttToMsSql = function(number){MsSqlConnectionFirstPage.prototype._RemoveMqttToMsSql_(number);};
  var RemoveGlobalVariable = function(DeviceName, number){MsSqlConnectionFirstPage.prototype._RemoveGlobalVariable_(DeviceName, number);};
  var RemoveTickedMsSqlConnection = function(){MsSqlConnectionFirstPage.prototype._RemoveTickedMsSqlConnection_();};
  this.DeleteMsSqlConnection        = function(){MsSqlConnectionFirstPage.prototype._DeleteMsSqlConnection_();};
  //判斷
  var IsNameRepeat = function(Name){return MsSqlConnectionFirstPage.prototype._IsNameRepeat_(Name);};
  this.IsTickedMsSqlConnection = function(){return MsSqlConnectionFirstPage.prototype._IsTickedMsSqlConnection_();};
  //初始化
  this.Initialization = function(){MsSqlConnectionFirstPage.prototype._Initialization_();};
  //檢查
  this.CheckIdentificationName = function(that){MsSqlConnectionFirstPage.prototype._CheckIdentificationName_(that);};
  //傳輸
  var SaveStart = function(that, ssocket){MsSqlConnectionFirstPage.prototype._SaveStart_(that, ssocket);};
  var SaveFinished = function(that, ssocket){MsSqlConnectionFirstPage.prototype._SaveFinished_(that, ssocket);};
  //按鈕
  this.AddNewRow  = function(that){MsSqlConnectionFirstPage.prototype._AddNewRow_(that);};
  this.EditButton = function(that){MsSqlConnectionFirstPage.prototype._EditButton_(that);};
  this.SaveButton = function(that){MsSqlConnectionFirstPage.prototype._SaveButton_(that);};  
}




















function MsSqlConnectionSecondPage()
{
  //表單
  var SetFormInitialValue = function(number){MsSqlConnectionSecondPage.prototype._SetFormInitialValue_(number);};
  var GetSettingFormValue = function(){return MsSqlConnectionSecondPage.prototype._GetSettingFormValue_();};
  var ClearForm = function(){MsSqlConnectionSecondPage.prototype._ClearForm_();};  
  var SetInitialValue = function(number){MsSqlConnectionSecondPage.prototype._SetInitialValue_(number);};
  //檢查
  this.CheckIdentificationName = function(that){return MsSqlConnectionSecondPage.prototype._CheckIdentificationName_(that);};
  this.CheckDatabaseName = function(that){return MsSqlConnectionSecondPage.prototype._CheckDatabaseName_(that);};
  this.CheckTableName = function(that){MsSqlConnectionSecondPage.prototype._CheckTableName_(that);};
  this.CheckServerName = function(that){MsSqlConnectionSecondPage.prototype._CheckServerName_(that);};
  this.CheckAccount = function(that){MsSqlConnectionSecondPage.prototype._CheckAccount_(that);};
  this.CheckPassword = function(that){MsSqlConnectionSecondPage.prototype._CheckPassword_(that);};
  this.CheckIntervalSeconds = function(that){MsSqlConnectionSecondPage.prototype._CheckIntervalSeconds_(that);};
  this.CheckGlobalVariableValueExist = function(number){MsSqlConnectionSecondPage.prototype._CheckGlobalVariableValueExist_(number);};
  this.CheckDeadbandValue = function(that){MsSqlConnectionSecondPage.prototype._CheckDeadbandValue_(that);};
  //判斷
  var IsNameRepeat = function(Name){return MsSqlConnectionSecondPage.prototype._IsNameRepeat_(Name);};
  //按鈕
  this.ConfirmButton = function(that){MsSqlConnectionSecondPage.prototype._ConfirmButton_(that);};
  this.NoConfirmButton = function(){MsSqlConnectionSecondPage.prototype._NoConfirmButton_();};
  this.TestConnection = function(that){MsSqlConnectionSecondPage.prototype._TestConnection_(that);};
  //選擇紀錄模式
  this.SelectRecordMode = function(that){MsSqlConnectionSecondPage.prototype._SelectRecordMode_(that);};
  //改變css
  var HideDeadbandRow = function(){MsSqlConnectionSecondPage.prototype._HideDeadbandRow_();};
  var ShowDeadbandRow = function(){MsSqlConnectionSecondPage.prototype._ShowDeadbandRow_();};
  var ShowIntervalSecond = function(){MsSqlConnectionSecondPage.prototype._ShowIntervalSecond_();};
  var ShowSamplingIntervalSecond = function(){MsSqlConnectionSecondPage.prototype._ShowSamplingIntervalSecond_();};
  var ChangeCss = function(number){MsSqlConnectionSecondPage.prototype._ChangeCss_(number);};
}